Settings API
2 endpoints. Every path is relative to the API base URL and needs a bearer token unless it is marked public. See the REST API overview for authentication, errors and pagination.
GET/v1/orgs/{orgId}/marketing/settings
Path parameters
orgIdstring (uuid)required
Responses
200
dataobjectrequiredFields
teamsEnabledbooleanrequiredapprovalRequiredbooleanrequiredallowBypassApprovalbooleanrequired
curl -X GET "https://api.adventur.ai/v1/orgs/$ORG_ID/marketing/settings" \ -H "Authorization: Bearer $ADVENTURAI_TOKEN"PATCH/v1/orgs/{orgId}/marketing/settings
Path parameters
orgIdstring (uuid)required
Request body application/json
approvalRequiredbooleanrequired
Responses
200
dataobjectrequiredFields
teamsEnabledbooleanrequiredapprovalRequiredbooleanrequiredallowBypassApprovalbooleanrequired
curl -X PATCH "https://api.adventur.ai/v1/orgs/$ORG_ID/marketing/settings" \ -H "Authorization: Bearer $ADVENTURAI_TOKEN" \ -H "Content-Type: application/json" \ -d '{"approvalRequired":true}'